Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeLoader.cs	(revision 3036)
@@ -20,6 +20,9 @@
           "Cannot load type \"{0}\", falling back to partial name", typeNameString));
         try {
-          TypeName typeName = TypeNameParser.Parse(typeNameString);
-          Assembly a = Assembly.LoadWithPartialName(typeName.AssemblyName);
+          TypeName typeName = TypeNameParser.Parse(typeNameString);             
+#pragma warning disable 0618
+          Assembly a = Assembly.LoadWithPartialName(typeName.AssemblyName);          
+          // the suggested Assembly.Load() method fails to load assemblies outside the GAC
+#pragma warning restore 0618
           type = a.GetType(typeName.ToString(false, false), true);
         } catch (Exception) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Auxiliary/TypeName.cs	(revision 3036)
@@ -36,4 +36,11 @@
     [Storable]
     public List<TypeName> GenericArgs { get; internal set; }
+
+    /// <summary>
+    /// Gets a value indicating whether this instance is generic.
+    /// </summary>
+    /// <value>
+    /// 	<c>true</c> if this instance is generic; otherwise, <c>false</c>.
+    /// </value>
     public bool IsGeneric { get { return GenericArgs.Count > 0; } }
 
@@ -87,5 +94,5 @@
     /// Returns a <see cref="System.String"/> that represents this instance.
     /// </summary>
-    /// <param name="full">if set to <c>true</c> includes full informatoin
+    /// <param name="full">if set to <c>true</c> includes full information
     /// about generic parameters and assembly properties.</param>
     /// <returns>
@@ -100,4 +107,6 @@
     /// Returns a <see cref="System.String"/> that represents this instance.
     /// </summary>
+    /// <param name="full">if set to <c>true</c> includes full information
+    /// about generic parameters and assembly properties.</param>
     /// <param name="includeAssembly">if set to <c>true</c> include assembly properties and generic parameters.</param>
     /// <returns>
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 3036)
@@ -6,5 +6,6 @@
   /// <summary>
   /// Common base class for defining a new serialization format.
-  /// </summary>  
+  /// </summary>
+  /// <typeparam name="SerialDataFormat">The type of the serial data format.</typeparam>
   [StorableClass]
   public abstract class FormatBase<SerialDataFormat> : IFormat<SerialDataFormat> where SerialDataFormat : ISerialData {
@@ -23,5 +24,7 @@
     /// <summary>
     /// Compares formats by name.
-    /// </summary>    
+    /// </summary>
+    /// <param name="f">The format.</param>
+    /// <returns>wheter this object and f are equal by name.</returns>
     public bool Equals(FormatBase<SerialDataFormat> f) {
       if (f == null)
@@ -33,4 +36,11 @@
     /// Compares foramts by name.
     /// </summary>
+    /// <param name="obj">The <see cref="System.Object"/> to compare with this instance.</param>
+    /// <returns>
+    /// 	<c>true</c> if the specified <see cref="System.Object"/> is equal to this instance; otherwise, <c>false</c>.
+    /// </returns>
+    /// <exception cref="T:System.NullReferenceException">
+    /// The <paramref name="obj"/> parameter is null.
+    /// </exception>
     public override bool Equals(object obj) {
       FormatBase<SerialDataFormat> f = obj as FormatBase<SerialDataFormat>;
@@ -38,4 +48,10 @@
     }
 
+    /// <summary>
+    /// Returns a hash code for this instance.
+    /// </summary>
+    /// <returns>
+    /// A hash code for this instance, suitable for use in hashing algorithms and data structures like a hash table. 
+    /// </returns>
     public override int GetHashCode() {
       return Name.GetHashCode();
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 3036)
@@ -26,6 +26,8 @@
     /// Parses the specified serialized data back into an object.
     /// </summary>
-    /// <param name="t">The serial data.</param>
-    /// <returns>A newly created object representing the serialized data.</returns>
+    /// <param name="data">The serial data.</param>
+    /// <returns>
+    /// A newly created object representing the serialized data.
+    /// </returns>
     public abstract Source Parse(SerialData data);
 
@@ -54,8 +56,8 @@
     /// Parses the specified serialized data back into an object.
     /// </summary>
-    /// <param name="t">The serial data.</param>
+    /// <param name="data">The serial data.</param>
     /// <returns>A newly created object representing the serialized data.</returns>
-    object IPrimitiveSerializer.Parse(ISerialData o) {
-      return Parse((SerialData)o);
+    object IPrimitiveSerializer.Parse(ISerialData data) {
+      return Parse((SerialData)data);
     }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/ArraySerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 
   [StorableClass]
-  public class ArraySerializer : ICompositeSerializer {
+  internal sealed class ArraySerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/CompactNumberArray2StringSerializer.cs	(revision 3036)
@@ -11,5 +11,5 @@
 
   [StorableClass]
-  public class CompactNumberArray2StringSerializer : ICompositeSerializer {
+  internal sealed class CompactNumberArray2StringSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/DictionarySerializer.cs	(revision 3036)
@@ -10,5 +10,5 @@
 
   [StorableClass]
-  public class DictionarySerializer : ICompositeSerializer {
+  internal sealed class DictionarySerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 3036)
@@ -8,5 +8,5 @@
 
   [StorableClass]
-  public class EnumSerializer : ICompositeSerializer {
+  internal sealed class EnumSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 3036)
@@ -11,5 +11,5 @@
 
   [StorableClass]
-  public class EnumerableSerializer : ICompositeSerializer {
+  internal sealed class EnumerableSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 3036)
@@ -10,5 +10,5 @@
 
   [StorableClass]
-  public class KeyValuePairSerializer : ICompositeSerializer {
+  internal sealed class KeyValuePairSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 3036)
@@ -12,6 +12,14 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
+  /// <summary>
+  /// Serializes a primitive number type using the ToString() method and an
+  /// approriate precision and parses back the generated string using
+  /// the number type's Parse() method.
+  /// 
+  /// This serializer has Priorty below zero and is disabled by default
+  /// but can be useful in generating custom serializers.
+  /// </summary>
   [StorableClass]
-  public class Number2StringSerializer : ICompositeSerializer {
+  public sealed class Number2StringSerializer : ICompositeSerializer {
 
     private static readonly List<Type> numberTypes =
@@ -42,8 +50,23 @@
     }
 
+    /// <summary>
+    /// Determines for every type whether the composite serializer is applicable.
+    /// </summary>
+    /// <param name="type">The type.</param>
+    /// <returns>
+    /// 	<c>true</c> if this instance can serialize the specified type; otherwise, <c>false</c>.
+    /// </returns>
     public bool CanSerialize(Type type) {
       return numberParsers.ContainsKey(type);
     }
 
+    /// <summary>
+    /// Give a reason if possibly why the given type cannot be serialized by this
+    /// ICompositeSerializer.
+    /// </summary>
+    /// <param name="type">The type.</param>
+    /// <returns>
+    /// A string justifying why type cannot be serialized.
+    /// </returns>
     public string JustifyRejection(Type type) {
       return string.Format("not a number type (one of {0})",
@@ -51,4 +74,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified obj.
+    /// </summary>
+    /// <param name="obj">The obj.</param>
+    /// <returns></returns>
     public string Format(object obj) {
       if (obj.GetType() == typeof(float))
@@ -61,4 +89,10 @@
     }
 
+    /// <summary>
+    /// Parses the specified string value.
+    /// </summary>
+    /// <param name="stringValue">The string value.</param>
+    /// <param name="type">The type.</param>
+    /// <returns></returns>
     public object Parse(string stringValue, Type type) {
       try {
@@ -75,12 +109,35 @@
 
 
+
+    /// <summary>
+    /// Defines the Priorty of this composite serializer. Higher number means
+    /// higher prioriy. Negative numbers are fallback serializers that are
+    /// disabled by default.
+    /// All default generic composite serializers have priority 100. Specializations
+    /// have priority 200 so they will  be tried first. Priorities are
+    /// only considered for default configurations.
+    /// </summary>
+    /// <value></value>
     public int Priority {
       get { return -100; }
     }
 
+    /// <summary>
+    /// Generate MetaInfo necessary for instance creation. (e.g. dimensions
+    /// necessary for array creation.
+    /// </summary>
+    /// <param name="obj">An object.</param>
+    /// <returns>An enumerable of <see cref="Tag"/>s.</returns>
     public IEnumerable<Tag> CreateMetaInfo(object obj) {
       yield return new Tag(Format(obj));
     }
 
+    /// <summary>
+    /// Decompose an object into <see cref="Tag"/>s, the tag name can be null,
+    /// the order in which elements are generated is guaranteed to be
+    /// the same as they will be supplied to the Populate method.
+    /// </summary>
+    /// <param name="obj">An object.</param>
+    /// <returns>An enumerable of <see cref="Tag"/>s.</returns>
     public IEnumerable<Tag> Decompose(object obj) {
       // numbers are composed just of meta info
@@ -88,4 +145,10 @@
     }
 
+    /// <summary>
+    /// Create an instance of the object using the provided meta information.
+    /// </summary>
+    /// <param name="type">A type.</param>
+    /// <param name="metaInfo">The meta information.</param>
+    /// <returns>A fresh instance of the provided type.</returns>
     public object CreateInstance(Type type, IEnumerable<Tag> metaInfo) {
       var it = metaInfo.GetEnumerator();
@@ -102,4 +165,12 @@
     }
 
+    /// <summary>
+    /// Fills an object with values from the previously generated <see cref="Tag"/>s
+    /// in Decompose. The order in which the values are supplied is
+    /// the same as they where generated. <see cref="Tag"/> names might be null.
+    /// </summary>
+    /// <param name="instance">An empty object instance.</param>
+    /// <param name="tags">The tags.</param>
+    /// <param name="type">The type.</param>
     public void Populate(object instance, IEnumerable<Tag> tags, Type type) {
       // numbers are composed just of meta info, no need to populate
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 3036)
@@ -12,5 +12,5 @@
 
   [StorableClass]
-  public class NumberEnumerable2StringSerializer : ICompositeSerializer {
+  internal sealed class NumberEnumerable2StringSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 3036)
@@ -11,5 +11,5 @@
 
   [StorableClass]
-  public class StackSerializer : ICompositeSerializer {
+  internal sealed class StackSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableHookAttribute.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableHookAttribute.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableHookAttribute.cs	(revision 3036)
@@ -11,5 +11,17 @@
   /// Indicates the time at which the hook should be invoked.
   /// </summary>
-  public enum HookType { BeforeSerialization, AfterDeserialization };
+  public enum HookType {
+
+    /// <summary>
+    /// States that this hook should be called before the storable
+    /// serializer starts decomposing the object.
+    /// </summary>
+    BeforeSerialization,
+    
+    /// <summary>
+    /// States that this hook should be called after the storable
+    /// serializer hast complete re-assembled the object.
+    /// </summary>
+    AfterDeserialization };
 
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 3036)
@@ -18,12 +18,23 @@
   /// </summary>
   [StorableClass]
-  public class StorableSerializer : ICompositeSerializer {
+  public sealed class StorableSerializer : ICompositeSerializer {
 
     #region ICompositeSerializer implementation
 
+    /// <summary>
+    /// Priority 200, one of the first default composite serializers to try.
+    /// </summary>
+    /// <value></value>
     public int Priority {
       get { return 200; }
     }
 
+    /// <summary>
+    /// Determines for every type whether the composite serializer is applicable.
+    /// </summary>
+    /// <param name="type">The type.</param>
+    /// <returns>
+    /// 	<c>true</c> if this instance can serialize the specified type; otherwise, <c>false</c>.
+    /// </returns>
     public bool CanSerialize(Type type) {
       if (!ReflectionTools.HasDefaultConstructor(type) &&
@@ -33,4 +44,12 @@
     }
 
+    /// <summary>
+    /// Give a reason if possibly why the given type cannot be serialized by this
+    /// ICompositeSerializer.
+    /// </summary>
+    /// <param name="type">The type.</param>
+    /// <returns>
+    /// A string justifying why type cannot be serialized.
+    /// </returns>
     public string JustifyRejection(Type type) {
       if (!ReflectionTools.HasDefaultConstructor(type) &&
@@ -42,4 +61,9 @@
     }
 
+    /// <summary>
+    /// Creates the meta info.
+    /// </summary>
+    /// <param name="o">The object.</param>
+    /// <returns>A list of storable components.</returns>
     public IEnumerable<Tag> CreateMetaInfo(object o) {
       InvokeHook(HookType.BeforeSerialization, o);
@@ -47,4 +71,11 @@
     }
 
+    /// <summary>
+    /// Decompose an object into <see cref="Tag"/>s, the tag name can be null,
+    /// the order in which elements are generated is guaranteed to be
+    /// the same as they will be supplied to the Populate method.
+    /// </summary>
+    /// <param name="obj">An object.</param>
+    /// <returns>An enumerable of <see cref="Tag"/>s.</returns>
     public IEnumerable<Tag> Decompose(object obj) {
       foreach (var accessor in GetStorableAccessors(obj)) {
@@ -55,4 +86,10 @@
     private static readonly object[] defaultArgs = new object[] { true };
 
+    /// <summary>
+    /// Create an instance of the object using the provided meta information.
+    /// </summary>
+    /// <param name="type">A type.</param>
+    /// <param name="metaInfo">The meta information.</param>
+    /// <returns>A fresh instance of the provided type.</returns>
     public object CreateInstance(Type type, IEnumerable<Tag> metaInfo) {
       try {
@@ -66,4 +103,10 @@
     }
 
+    /// <summary>
+    /// Populates the specified instance.
+    /// </summary>
+    /// <param name="instance">The instance.</param>
+    /// <param name="objects">The objects.</param>
+    /// <param name="type">The type.</param>
     public void Populate(object instance, IEnumerable<Tag> objects, Type type) {
       var memberDict = new Dictionary<string, Tag>();
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 3036)
@@ -11,5 +11,5 @@
 
   [StorableClass]
-  public class StructSerializer : ICompositeSerializer {    
+  internal sealed class StructSerializer : ICompositeSerializer {    
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 
   [StorableClass]
-  public class TypeSerializer : ICompositeSerializer {
+  internal sealed class TypeSerializer : ICompositeSerializer {
 
     public int Priority {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs	(revision 3036)
@@ -10,6 +10,13 @@
 namespace HeuristicLab.Persistence.Default.DebugString {
 
+  /// <summary>
+  /// Simple write-only format for debugging purposes.
+  /// </summary>
   [StorableClass]
   public class DebugStringFormat : FormatBase<DebugString> {
+    /// <summary>
+    /// Gets the format's name.
+    /// </summary>
+    /// <value>The format's name.</value>
     public override string Name { get { return "DebugString"; } }
   }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringGenerator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringGenerator.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringGenerator.cs	(revision 3036)
@@ -9,4 +9,7 @@
 namespace HeuristicLab.Persistence.Default.DebugString {
 
+  /// <summary>
+  /// Generate a string that recursively describes an object graph.
+  /// </summary>
   public class DebugStringGenerator : GeneratorBase<string> {
 
@@ -14,6 +17,13 @@
     private readonly bool showRefs;
 
+    /// <summary>
+    /// Initializes a new instance of the <see cref="DebugStringGenerator"/> class.
+    /// </summary>
     public DebugStringGenerator() : this(true) { }
 
+    /// <summary>
+    /// Initializes a new instance of the <see cref="DebugStringGenerator"/> class.
+    /// </summary>
+    /// <param name="showRefs">if set to <c>true</c> show references.</param>
     public DebugStringGenerator(bool showRefs) {
       isSepReq = false;
@@ -21,4 +31,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified begin token.
+    /// </summary>
+    /// <param name="beginToken">The begin token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(BeginToken beginToken) {
       StringBuilder sb = new StringBuilder();
@@ -38,4 +53,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified end token.
+    /// </summary>
+    /// <param name="endToken">The end token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(EndToken endToken) {
       isSepReq = true;
@@ -43,4 +63,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified primitive token.
+    /// </summary>
+    /// <param name="primitiveToken">The primitive token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(PrimitiveToken primitiveToken) {
       StringBuilder sb = new StringBuilder();
@@ -61,4 +86,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified reference token.
+    /// </summary>
+    /// <param name="referenceToken">The reference token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(ReferenceToken referenceToken) {
       StringBuilder sb = new StringBuilder();
@@ -76,4 +106,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified null reference token.
+    /// </summary>
+    /// <param name="nullReferenceToken">The null reference token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(NullReferenceToken nullReferenceToken) {
       StringBuilder sb = new StringBuilder();
@@ -89,20 +124,46 @@
     }
 
+    /// <summary>
+    /// Formats the specified meta info begin token.
+    /// </summary>
+    /// <param name="metaInfoBeginToken">The meta info begin token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(MetaInfoBeginToken metaInfoBeginToken) {
       return "[";
     }
 
+    /// <summary>
+    /// Formats the specified meta info end token.
+    /// </summary>
+    /// <param name="metaInfoEndToken">The meta info end token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(MetaInfoEndToken metaInfoEndToken) {
       return "]";
     }
 
+    /// <summary>
+    /// Formats the specified type token.
+    /// </summary>
+    /// <param name="typeToken">The type token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(TypeToken typeToken) {
       return string.Empty;
     }
 
+    /// <summary>
+    /// Serializes the specified object.
+    /// </summary>
+    /// <param name="o">The object.</param>
+    /// <returns>A string representation of the complete object graph</returns>
     public static string Serialize(object o) {
       return Serialize(o, ConfigurationService.Instance.GetDefaultConfig(new DebugStringFormat()));
     }
 
+    /// <summary>
+    /// Serializes the specified object.
+    /// </summary>
+    /// <param name="o">The object.</param>
+    /// <param name="configuration">The persistence configuration.</param>
+    /// <returns>A string representation of the complete object graph.</returns>
     public static string Serialize(object o, Configuration configuration) {
       Serializer s = new Serializer(o, configuration);
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Bool2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Bool2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Bool2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Bool2DebugStringSerializer : DebugStringSerializerBase<bool> { }
+  internal sealed class Bool2DebugStringSerializer : DebugStringSerializerBase<bool> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Byte2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Byte2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Byte2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Byte2DebugStringSerializer : DebugStringSerializerBase<byte> { }
+  internal sealed class Byte2DebugStringSerializer : DebugStringSerializerBase<byte> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Char2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Char2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Char2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Char2DebugStringSerializer : DebugStringSerializerBase<char> { }
+  internal sealed class Char2DebugStringSerializer : DebugStringSerializerBase<char> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/DateTime2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/DateTime2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/DateTime2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class DateTime2DebugStringSerializer : DebugStringSerializerBase<DateTime> { }
+  internal sealed class DateTime2DebugStringSerializer : DebugStringSerializerBase<DateTime> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Double2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Double2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Double2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Double2DebugStringSerializer : DebugStringSerializerBase<double> { }
+  internal sealed class Double2DebugStringSerializer : DebugStringSerializerBase<double> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Float2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Float2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Float2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Float2DebugStringSerializer : DebugStringSerializerBase<float> { }
+  internal sealed class Float2DebugStringSerializer : DebugStringSerializerBase<float> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Int2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Int2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Int2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Int2DebugStringSerializer : DebugStringSerializerBase<int> { }
+  internal sealed class Int2DebugStringSerializer : DebugStringSerializerBase<int> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Long2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Long2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Long2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Long2DebugStringSerializer : DebugStringSerializerBase<long> { }
+  internal sealed class Long2DebugStringSerializer : DebugStringSerializerBase<long> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/SByte2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/SByte2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/SByte2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class SByte2DebugStringSerializer : DebugStringSerializerBase<sbyte> { }
+  internal sealed class SByte2DebugStringSerializer : DebugStringSerializerBase<sbyte> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Short2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Short2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Short2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Short2DebugStringSerializer : DebugStringSerializerBase<short> { }
+  internal sealed class Short2DebugStringSerializer : DebugStringSerializerBase<short> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/String2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/String2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/String2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class String2DebugStringSerializer : DebugStringSerializerBase<string> { }
+  internal sealed class String2DebugStringSerializer : DebugStringSerializerBase<string> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Type2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Type2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/Type2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class Type2DebugStringSerializer : DebugStringSerializerBase<Type> { }
+  internal sealed class Type2DebugStringSerializer : DebugStringSerializerBase<Type> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UInt2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UInt2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UInt2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class UInt2DebugStringSerializer : DebugStringSerializerBase<uint> { }
+  internal sealed class UInt2DebugStringSerializer : DebugStringSerializerBase<uint> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ULong2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ULong2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ULong2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class ULong2DebugStringSerializer : DebugStringSerializerBase<ulong> { }
+  internal sealed class ULong2DebugStringSerializer : DebugStringSerializerBase<ulong> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UShort2DebugStringSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UShort2DebugStringSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/UShort2DebugStringSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public class UShort2DebugStringSerializer : DebugStringSerializerBase<ushort> { }
+  internal sealed class UShort2DebugStringSerializer : DebugStringSerializerBase<ushort> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ValueType2DebugStringSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ValueType2DebugStringSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/PrimitiveSerializers/ValueType2DebugStringSerializerBase.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.DebugString.PrimitiveSerializers {
 
-  public abstract class DebugStringSerializerBase<T> : PrimitiveSerializerBase<T, DebugString> {
+  internal abstract class DebugStringSerializerBase<T> : PrimitiveSerializerBase<T, DebugString> {
     public override DebugString Format(T o) { return new DebugString(o.ToString()); }
     public override T Parse(DebugString s) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/ByteArray2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/ByteArray2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/ByteArray2XmlSerializer.cs	(revision 3036)
@@ -5,5 +5,5 @@
 
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
-  public class ByteArray2XmlSerializer<T> : NumberArray2XmlSerializerBase<T> where T : class {
+  internal class ByteArray2XmlSerializer<T> : NumberArray2XmlSerializerBase<T> where T : class {
     protected override string FormatValue(object o) {
       return o.ToString();
@@ -15,8 +15,8 @@
   }
 
-  public class Byte1DArray2XmlSerializer : ByteArray2XmlSerializer<byte[]> { }
+  internal sealed class Byte1DArray2XmlSerializer : ByteArray2XmlSerializer<byte[]> { }
 
-  public class Bytet2DArray2XmlSerializer : ByteArray2XmlSerializer<byte[,]> { }
+  internal sealed class Bytet2DArray2XmlSerializer : ByteArray2XmlSerializer<byte[,]> { }
 
-  public class Byte3DArray2XmlSerializer : ByteArray2XmlSerializer<byte[, ,]> { }
+  internal sealed class Byte3DArray2XmlSerializer : ByteArray2XmlSerializer<byte[, ,]> { }
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/CompactXmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/CompactXmlSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/CompactXmlSerializerBase.cs	(revision 3036)
@@ -5,5 +5,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class CompactXmlSerializerBase<T> : XmlSerializerBase<T> { }
+  internal abstract class CompactXmlSerializerBase<T> : XmlSerializerBase<T> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleArray2XmlSerializer.cs	(revision 3036)
@@ -5,5 +5,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class DoubleArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class {
+  internal abstract class DoubleArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class {
 
     protected override string FormatValue(object o) {
@@ -16,9 +16,9 @@
   }
 
-  public class Double1DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[]> { }
+  internal sealed class Double1DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[]> { }
 
-  public class Double2DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[,]> { }
+  internal sealed class Double2DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[,]> { }
 
-  public class Double3DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[, ,]> { }
+  internal sealed class Double3DArray2XmlSerializer : DoubleArray2XmlSerializerBase<double[, ,]> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/DoubleList2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public class DoubleList2XmlSerializer : NumberEnumeration2XmlSerializerBase<List<double>> {
+  internal sealed class DoubleList2XmlSerializer : NumberEnumeration2XmlSerializerBase<List<double>> {
 
     protected override void Add(IEnumerable enumeration, object o) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntArray2XmlSerializer.cs	(revision 3036)
@@ -4,5 +4,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public abstract class IntArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class {
+  internal abstract class IntArray2XmlSerializerBase<T> : NumberArray2XmlSerializerBase<T> where T : class {
 
     protected override string FormatValue(object o) {
@@ -15,9 +15,9 @@
   }
 
-  public class Int1DArray2XmlSerializer : IntArray2XmlSerializerBase<int[]> { }
+  internal class Int1DArray2XmlSerializer : IntArray2XmlSerializerBase<int[]> { }
 
-  public class Int2DArray2XmlSerializer : IntArray2XmlSerializerBase<int[,]> { }
+  internal class Int2DArray2XmlSerializer : IntArray2XmlSerializerBase<int[,]> { }
 
-  public class Int3DArray2XmlSerializer : IntArray2XmlSerializerBase<int[, ,]> { }
+  internal class Int3DArray2XmlSerializer : IntArray2XmlSerializerBase<int[, ,]> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/IntList2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  public class IntList2XmlSerializer : NumberEnumeration2XmlSerializerBase<List<int>> {
+  internal sealed class IntList2XmlSerializer : NumberEnumeration2XmlSerializerBase<List<int>> {
 
     protected override void Add(IEnumerable enumeration, object o) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 3036)
@@ -9,5 +9,5 @@
 
   [StorableClass]
-  public abstract class NumberArray2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : class {
+  internal abstract class NumberArray2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : class {
 
     protected virtual string Separator { get { return ";"; } }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 3036)
@@ -9,5 +9,5 @@
 
   [StorableClass]
-  public abstract class NumberEnumeration2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : IEnumerable {
+  internal abstract class NumberEnumeration2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : IEnumerable {
 
     protected virtual string Separator { get { return ";"; } }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Bool2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Bool2XmlSerializer : SimpleNumber2XmlSerializerBase<bool> { }
+  internal sealed class Bool2XmlSerializer : SimpleNumber2XmlSerializerBase<bool> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Byte2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Byte2XmlSerializer : SimpleNumber2XmlSerializerBase<byte> { }
+  internal sealed class Byte2XmlSerializer : SimpleNumber2XmlSerializerBase<byte> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Char2XmlFormatter.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Char2XmlSerializer : PrimitiveSerializerBase<char, XmlString> {
+  internal sealed class Char2XmlSerializer : PrimitiveSerializerBase<char, XmlString> {
 
     public override XmlString Format(char c) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/DateTime2XmlSerializer.cs	(revision 3036)
@@ -5,5 +5,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class DateTime2XmlSerializer : PrimitiveXmlSerializerBase<DateTime> {
+  internal sealed class DateTime2XmlSerializer : PrimitiveXmlSerializerBase<DateTime> {
 
     public override XmlString Format(DateTime dt) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Decimal2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Decimal2XmlSerializer : PrimitiveXmlSerializerBase<decimal> {
+  internal sealed class Decimal2XmlSerializer : PrimitiveXmlSerializerBase<decimal> {
 
     public static decimal ParseG30(string s) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Double2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Double2XmlSerializer : PrimitiveXmlSerializerBase<double> {
+  internal sealed class Double2XmlSerializer : PrimitiveXmlSerializerBase<double> {
 
     public static double ParseG17(string s) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Float2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Float2XmlSerializer : PrimitiveXmlSerializerBase<float> {
+  internal sealed class Float2XmlSerializer : PrimitiveXmlSerializerBase<float> {
 
     public static float ParseG8(string s) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Guid2XmlSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Guid2XmlSerializer : PrimitiveXmlSerializerBase<Guid> {
+  internal sealed class Guid2XmlSerializer : PrimitiveXmlSerializerBase<Guid> {
 
     public override XmlString Format(Guid o) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Int2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Int2XmlSerializer : SimpleNumber2XmlSerializerBase<int> { }
+  internal sealed class Int2XmlSerializer : SimpleNumber2XmlSerializerBase<int> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Long2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Long2XmlSerializer : SimpleNumber2XmlSerializerBase<long> { }
+  internal sealed class Long2XmlSerializer : SimpleNumber2XmlSerializerBase<long> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/PrimitiveXmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/PrimitiveXmlSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/PrimitiveXmlSerializerBase.cs	(revision 3036)
@@ -5,4 +5,8 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
+  /// <summary>
+  /// Common base class for primitive XML serializers.
+  /// </summary>
+  /// <typeparam name="T">The source type being serialized to XMl.</typeparam>
   public abstract class PrimitiveXmlSerializerBase<T> : XmlSerializerBase<T> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SByte2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class SByte2XmlSerializer : SimpleNumber2XmlSerializerBase<sbyte> { }
+  internal sealed class SByte2XmlSerializer : SimpleNumber2XmlSerializerBase<sbyte> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/Short2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class Short2XmlSerializer : SimpleNumber2XmlSerializerBase<short> { }
+  internal sealed class Short2XmlSerializer : SimpleNumber2XmlSerializerBase<short> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/SimpleNumber2XmlSerializerBase.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public abstract class SimpleNumber2XmlSerializerBase<T> : PrimitiveXmlSerializerBase<T> {
+  internal abstract class SimpleNumber2XmlSerializerBase<T> : PrimitiveXmlSerializerBase<T> {
 
     private static MethodInfo ParseMethod = typeof(T)
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/String2XmlSerializer.cs	(revision 3036)
@@ -9,6 +9,14 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class String2XmlSerializer : PrimitiveXmlSerializerBase<string> {
+  /// <summary>
+  /// Serializes a string to XML by embedding into a CDATA block.
+  /// </summary>
+  public sealed class String2XmlSerializer : PrimitiveXmlSerializerBase<string> {
 
+    /// <summary>
+    /// Formats the specified string.
+    /// </summary>
+    /// <param name="s">The string.</param>
+    /// <returns>An XmlString that embeds the string s in a CDATA section.</returns>
     public override XmlString Format(string s) {
       StringBuilder sb = new StringBuilder();
@@ -21,4 +29,9 @@
     private static Regex re = new Regex(@"<!\[CDATA\[((?:[^]]|\](?!\]>))*)\]\]>", RegexOptions.Singleline);
 
+    /// <summary>
+    /// Parses the specified XmlString into a string.
+    /// </summary>
+    /// <param name="x">The XMLString.</param>
+    /// <returns>The plain string contained in the XML CDATA section.</returns>
     public override string Parse(XmlString x) {
       StringBuilder sb = new StringBuilder();
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/System.Drawing/Bitmap2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/System.Drawing/Bitmap2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/System.Drawing/Bitmap2XmlSerializer.cs	(revision 3036)
@@ -11,5 +11,5 @@
 
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
-  public class Bitmap2XmlSerializer : PrimitiveXmlSerializerBase<Bitmap> {
+  internal sealed class Bitmap2XmlSerializer : PrimitiveXmlSerializerBase<Bitmap> {
 
     public override XmlString Format(Bitmap o) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/TimeSpan2XmlSerializer.cs	(revision 3036)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class TimeSpan2XmlSerializer : PrimitiveXmlSerializerBase<TimeSpan> {
+  internal sealed class TimeSpan2XmlSerializer : PrimitiveXmlSerializerBase<TimeSpan> {
 
     public override XmlString Format(TimeSpan o) {
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UInt2XmlSerializer.cs	(revision 3036)
@@ -8,5 +8,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class UInt2XmlSerializer : SimpleNumber2XmlSerializerBase<uint> { }
+  internal sealed class UInt2XmlSerializer : SimpleNumber2XmlSerializerBase<uint> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/ULong2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class ULong2XmlSerializer : SimpleNumber2XmlSerializerBase<ulong> { }
+  internal sealed class ULong2XmlSerializer : SimpleNumber2XmlSerializerBase<ulong> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/Primitive/UShort2XmlSerializer.cs	(revision 3036)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Primitive {
 
-  public class UShort2XmlSerializer : SimpleNumber2XmlSerializerBase<ushort> { }
+  internal sealed class UShort2XmlSerializer : SimpleNumber2XmlSerializerBase<ushort> { }
 
 }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 3036)
@@ -11,4 +11,8 @@
   [StorableClass]
   public class XmlFormat : FormatBase<XmlString> {
+    /// <summary>
+    /// Gets the format's name.
+    /// </summary>
+    /// <value>The format's name.</value>
     public override string Name { get { return "XML"; } }
   }
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlGenerator.cs	(revision 3036)
@@ -112,4 +112,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified begin token.
+    /// </summary>
+    /// <param name="beginToken">The begin token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(BeginToken beginToken) {
       var dict = new Dictionary<string, object> {
@@ -134,8 +139,18 @@
     }
 
+    /// <summary>
+    /// Formats the specified end token.
+    /// </summary>
+    /// <param name="endToken">The end token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(EndToken endToken) {
       return CreateNodeEnd(XmlStringConstants.COMPOSITE);
     }
 
+    /// <summary>
+    /// Formats the specified data token.
+    /// </summary>
+    /// <param name="dataToken">The data token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(PrimitiveToken dataToken) {
       var dict = new Dictionary<string, object> {
@@ -148,4 +163,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified ref token.
+    /// </summary>
+    /// <param name="refToken">The ref token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(ReferenceToken refToken) {
       return CreateNode(XmlStringConstants.REFERENCE,
@@ -155,4 +175,9 @@
     }
 
+    /// <summary>
+    /// Formats the specified null ref token.
+    /// </summary>
+    /// <param name="nullRefToken">The null ref token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(NullReferenceToken nullRefToken) {
       return CreateNode(XmlStringConstants.NULL,
@@ -161,8 +186,18 @@
     }
 
+    /// <summary>
+    /// Formats the specified meta info begin token.
+    /// </summary>
+    /// <param name="metaInfoBeginToken">The meta info begin token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(MetaInfoBeginToken metaInfoBeginToken) {
       return CreateNodeStart(XmlStringConstants.METAINFO);
     }
 
+    /// <summary>
+    /// Formats the specified meta info end token.
+    /// </summary>
+    /// <param name="metaInfoEndToken">The meta info end token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(MetaInfoEndToken metaInfoEndToken) {
       return CreateNodeEnd(XmlStringConstants.METAINFO);
@@ -170,4 +205,9 @@
 
     private TypeToken lastTypeToken;
+    /// <summary>
+    /// Formats the specified token.
+    /// </summary>
+    /// <param name="token">The token.</param>
+    /// <returns>The token in serialized form.</returns>
     protected override string Format(TypeToken token) {
       lastTypeToken = token;
@@ -205,9 +245,10 @@
     /// <summary>
     /// Serialize an object into a file.
-    /// 
     /// The XML configuration is obtained from the <c>ConfigurationService</c>.
     /// The file is actually a ZIP file.
     /// Compression level is set to 5 and needed assemblies are not included.
-    /// </summary>    
+    /// </summary>
+    /// <param name="o">The object.</param>
+    /// <param name="filename">The filename.</param>
     public static void Serialize(object o, string filename) {
       Serialize(o, filename, ConfigurationService.Instance.GetConfiguration(new XmlFormat()), false, 5);
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlSerializerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlSerializerBase.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlSerializerBase.cs	(revision 3036)
@@ -4,5 +4,9 @@
 
 namespace HeuristicLab.Persistence.Default.Xml {
-  
+
+  /// <summary>
+  /// Common base class for all primitive XML Serializers.
+  /// </summary>
+  /// <typeparam name="T">The source type being serialized to XML.</typeparam>
   public abstract class XmlSerializerBase<T> : PrimitiveSerializerBase<T, XmlString> { }
 
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 3036)
@@ -6,7 +6,15 @@
 namespace HeuristicLab.Persistence.Default.Xml {
 
+  /// <summary>
+  /// XML friendly encapsulation of string data.
+  /// </summary>
   [StorableClass]  
   public class XmlString : ISerialData {
 
+    /// <summary>
+    /// Gets the XML string data. Essentially marks the string as
+    /// XML compatible string.
+    /// </summary>
+    /// <value>The XML string data.</value>
     [Storable]
     public string Data { get; private set; }
@@ -14,8 +22,18 @@
     private XmlString() { }
 
+    /// <summary>
+    /// Initializes a new instance of the <see cref="XmlString"/> class.
+    /// </summary>
+    /// <param name="data">The xml data.</param>
     public XmlString(string data) {
       Data = data;
     }
 
+    /// <summary>
+    /// Returns a <see cref="System.String"/> that represents this instance.
+    /// </summary>
+    /// <returns>
+    /// A <see cref="System.String"/> that represents this instance.
+    /// </returns>
     public override string ToString() {
       StringBuilder sb = new StringBuilder();
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStringConstants.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStringConstants.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Default/Xml/XmlStringConstants.cs	(revision 3036)
@@ -11,5 +11,5 @@
 namespace HeuristicLab.Persistence.Default.Xml {
 
-  struct XmlStringConstants {
+  internal struct XmlStringConstants {
     public const string PRIMITIVE = "PRIMITIVE";
     public const string COMPOSITE = "COMPOSITE";
Index: /trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/HeuristicLab.Persistence-3.3.csproj	(revision 3036)
@@ -35,4 +35,5 @@
     <WarningLevel>4</WarningLevel>
     <DocumentationFile>bin\Release\HeuristicLab.Persistence-3.3.XML</DocumentationFile>
+    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x64' ">
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ICompositeSerializer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ICompositeSerializer.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/ICompositeSerializer.cs	(revision 3036)
@@ -42,5 +42,5 @@
     /// <summary>
     /// Generate MetaInfo necessary for instance creation. (e.g. dimensions
-    /// necessary for array creation (see <see cref="ArraySerializer"/>).
+    /// necessary for array creation.
     /// </summary>
     /// <param name="obj">An object.</param>
Index: /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IFormat.cs
===================================================================
--- /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IFormat.cs	(revision 3035)
+++ /trunk/sources/HeuristicLab.Persistence/3.3/Interfaces/IFormat.cs	(revision 3036)
@@ -25,5 +25,6 @@
   /// Marker interface for new serialization output format.  Instead of implementing this
   /// interface, derive from FormatBase.
-  /// </summary>  
+  /// </summary>
+  /// <typeparam name="SerialDataFormat">The type of the serial data format.</typeparam>
   public interface IFormat<SerialDataFormat> : IFormat where SerialDataFormat : ISerialData {
   }
